<?php

namespace App\Api\Http\Controllers\Api\V2\Customer;

use App\Customer;
use App\Http\Controllers\Controller;

class CustomerController extends Controller
{
    public function getCustomers()
    {
        $customers = Customer::where('type', 'customer')->get();

        return $this->success(
            'Customers!',
            $customers
        );
    }

    public function getGuests()
    {
        $guests = Customer::where('type', 'guest')->get();

        return $this->success(
            'Guests!',
            $guests
        );
    }
}
